Bug 971676 - [RHS-C] Event message is not accurate while performing Enable/Disable actions on a cluster having servers in UP & Maintenance status
[RHS-C] Event message is not accurate while performing Enable/Disable actions...
Status: CLOSED WONTFIX
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: rhsc (Show other bugs)
2.1
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Sahina Bose
RHS-C QE
:
Depends On:
Blocks: 1035040
  Show dependency treegraph
 
Reported: 2013-06-07 02:31 EDT by Prasanth
Modified: 2015-12-28 01:52 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Known Issue
Doc Text:
While enabling or disabling gluster hooks, the error message displayed if all the servers are not in UP state is incorrect.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-28 01:52:37 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 15711 None None None Never

  None (edit)
Description Prasanth 2013-06-07 02:31:51 EDT
Description of problem:

Event message is not accurate while performing Enable/Disable actions on a cluster having servers in UP & Maintenance status

Version-Release number of selected component (if applicable):  Red Hat Storage Console Version: 2.1.0-0.bb2.el6rhs 


How reproducible: Always


Steps to Reproduce:
1. Put one of the servers in a 2 node cluster into Maintenance mode.
2. Click on Clusters
3. Select a cluster and click on "Gluster Hooks" sub-tab
4. Try to Enable/Disable some hooks and watch the error


Actual results: Current Event message: 

------
Gluster Hook 31test.sh disabled on some of the servers on cluster bb2cluster. CLUSTER_ALL_SERVERS_NOT_UP

Gluster Hook 31test.sh enabled on some of the servers on cluster bb2cluster. CLUSTER_ALL_SERVERS_NOT_UP
------

Expected results: The event message should be more accurate.


Additional info:
Comment 2 Prasanth 2013-06-24 07:34:50 EDT
This is not working and the same error message is seen in bb4 as well.

-----------------	
2013-Jun-24, 16:30 Gluster Hook 30samba-set.sh enabled on some of the servers on cluster cluster1. CLUSTER_ALL_SERVERS_NOT_UP
	
	
2013-Jun-24, 16:30 Gluster Hook 30samba-set.sh disabled on some of the servers on cluster cluster1. CLUSTER_ALL_SERVERS_NOT_UP
-----------------

Hence, moving back to Assigned.
Comment 3 Shalaka 2014-01-24 05:44:59 EST
Please review the edited Doc Text and sign off.
Comment 4 Sahina Bose 2014-01-30 02:13:30 EST
Doctext ok
Comment 6 Dusmant 2015-12-28 01:52:37 EST
RHSC 2.1 is EOLed and we don't have any plan to fix this issue.
If you think, this is an important bug to be addressed, pls. re-open it on the latest release. 
I will go ahead and "CLOSE" this bug for this release.

Note You need to log in before you can comment on or make changes to this bug.